# netctlgui: WpaSup Class Reference

All Classes Files Functions Variables
WpaSup Class Reference

The WpaSup class interacts with wpa_supplicant. More...

Inheritance diagram for WpaSup:

## Public Slots

QList< netctlWifiInfo > | scanWifi ()
| method which scans WiFi networks More...
bool | startWpaSupplicant ()
| method which calls wpa_supplicant More...
bool | stopWpaSupplicant ()
| method which send TERMINATE signal to wpa_supplicant More...

## Public Member Functions

| WpaSup (const bool debugCmd=false, const QMap< QString, QString > settings=QMap< QString, QString >())
| WpaSup class constructor. More...
| ~WpaSup ()
| WpaSup class destructor. More...
QString | existentProfile (const QString essid)
| method which gets profile name by ESSID More...
bool | isProfileActive (const QString essid)
| method which checks profile status by ESSID More...
bool | isProfileExists (const QString essid)
| method which checks profile existence by ESSID More...

## Static Public Member Functions

static QMap< QString, QString > | getRecommendedConfiguration ()
| method which check system configuration and return recommended values to keys More...

## Detailed Description

The WpaSup class interacts with wpa_supplicant.

## Constructor & Destructor Documentation

WpaSup::WpaSup | ( | const bool | debugCmd = `false`,
|  | const QMap< QString, QString > | settings = `QMap< QString, QString >()`
| ) |  |

explicit

WpaSup class constructor.

Parameters

  debugCmd | show debug messages
  settings | default settings. Needed keys are CTRL_DIR (path to ctrl_directory), CTRL_GROUP (group which is owner of CTRL_DIR), FORCE_SUDO (force to use sudo), PID_FILE (wpa_supplicant PID file), SUDO_PATH (path to sudo command), WPACLI_PATH (path to wpa_cli command), WPA_DRIVERS (wpa_supplicant drivers comma separated), WPASUP_PATH (path to wpa_supplicant command)

WpaSup::~WpaSup | ( |  | ) |

WpaSup class destructor.

## Member Function Documentation

QString WpaSup::existentProfile | ( | const QString | essid | ) |

method which gets profile name by ESSID

Parameters

  essid | ESSID name

Returns
  profile name

static QMap<QString, QString> WpaSup::getRecommendedConfiguration | ( |  | ) |

static

method which check system configuration and return recommended values to keys

Returns
  recommended parametrs

bool WpaSup::isProfileActive | ( | const QString | essid | ) |

method which checks profile status by ESSID

Parameters

  essid | ESSID name

Returns
  false if profile is inactive
  true if profile is active

bool WpaSup::isProfileExists | ( | const QString | essid | ) |

method which checks profile existence by ESSID

Parameters

  essid | ESSID name

Returns
  false if profile does not exist
  true if profile exists

QList<netctlWifiInfo> WpaSup::scanWifi | ( |  | ) |

slot

method which scans WiFi networks

Returns
  list of essids

bool WpaSup::startWpaSupplicant | ( |  | ) |

slot

method which calls wpa_supplicant

Returns
  false if components are not found or command exit code is not equal to 0
  true if the method was completed without errors

bool WpaSup::stopWpaSupplicant | ( |  | ) |

slot

method which send TERMINATE signal to wpa_supplicant

Returns
  false if components are not found or command exit code is not equal to 0
  true if the method was completed without errors

The documentation for this class was generated from the following file:

- wpasupinteract.h